Documentation > ISOs, initrd, initramfs

[upgrading] error while loading shared libraries libreadline.so.7

(1/3) > >>

ilnanny:
Hi, I installed nutyx rolling as described on the wiki.
After booting and updating the system, I installed xfce4 xfce4-extra and the drivers ati, following the installation guide.
The problem only arises after installing xfce4.
I tried installing 3 times, formatting the partition and downloading the iso again, both with the firefox browser and with wget.
and always checking the checksum of the image that is exact.
I have not installed Grub because I have already installed another gnu-linux system inside the computer
I report the error after installing the xfce4 packages:

"sorry for my bad english."


--- Code: ---root@gentoo:/
# mount /dev/sdb2 /mnt
root@gentoo:/
# mount -o remount,rw /dev/sdb2 /mnt
root@gentoo:/
# mount --bind /dev /mnt/dev
root@gentoo:/
# mount --bind /proc /mnt/proc
root@gentoo:/
# mount --bind /sys /mnt/sys
root@gentoo:/
# chroot /mnt
/bin/bash: error while loading shared libraries: libreadline.so.7: cannot open shared object file: No such file or directory
--- End code ---

Someone has found the same problem as me?
Thanks.

Thierry:
Hello ilnanny

Welcome to the NuTyX forum,

What version of NuTyX you are trying? It looks like you are trying to upgrade a 10.6 version which is not going to work.

If that the case, make sure you use the Rolling version or the 11.0 version of the ISO.

ilnanny:
Hello Thierry
I installed the rolling version

ilnanny:
One detail I left out is that the partition where I installed nutyx I created earlier with ext4 filesystems.

Thierry:
What's not clear for me is, you show some "screenshots" of gentoo and chroot ? Can you describe exactly which procedure you choose ? And what the date of your  ISO you took ?

Navigation

[0] Message Index

[#] Next page

Go to full version